<?xml version="1.0" encoding="UTF-8"?><record_update table="sp_header_footer">
    <sp_header_footer action="INSERT_OR_UPDATE">
        <category>custom</category>
        <client_script><![CDATA[function escHeaderController($rootScope, $scope, $window, spUtil, $location, $uibModal, cabrillo, $timeout, i18n, spContextManager, snRecordWatcher) {
	var c = this;

	$scope.counts = c.data.counts;
	$rootScope.approvals_count = $scope.counts.approvals;
	$rootScope.tickets_count = $scope.counts.tickets;
	$rootScope.$broadcast('nr.updateCounts', $scope.counts);

	c.showSearch = false;

	c.toggleDrawer = function (event_name) {
		$rootScope.$broadcast(event_name);
	};

	$scope.avatarProfile = {
		userID: $scope.user.sys_id,
		name: $scope.user.name,
		initials: $window.NOW.user_initials
	};

	if ($window.NOW.user_avatar) {
		$scope.avatarProfile.userImage = $window.NOW.user_avatar;
	}

	$scope.$on("$sp.service_catalog.cart.count", function ($evt, count) {
		$scope.cartItemCount = count;
		$rootScope.cartCount = count;
	});

	// Events fired from/to $rootScope for responsive mobile view.
	c.SHOW_MOBILE_MEGA_MENU = 'showMobileMegaMenu';
	c.SHOW_MOBILE_MENU_ON_DESKTOP = 'showMobileMenuOnDesktop';
	c.TOGGLE_MOBILE_MENU_VISIBILITY = 'toggleMobileMenuVisibility';
	c.INITIAL_TIMEOUT = 500;
	$rootScope.isHeaderInMobileView = false;

	c.evaluateSearchWidgetVisibility = function () {
		if (c.data.hideSearchOnHomepage) {
			var currentUrl = $location.url();
			var params = $location.search();

			// hide on home page
			if ((params && params.id && params.id === c.data.dashboardSuffix) || (params && !params.id && currentUrl.includes(c.data.portalSuffix))) {
				$scope.showSearchBar = false;
				$scope.showViewAsHeader = false;
			} else
				$scope.showSearchBar = true;
			// show ViewAs header on viewAsPages  
			if ((params && params.id && currentUrl.includes("ec_view_as")))
				$scope.showViewAsHeader = true;
		}
	};

	function addDeferScript(src,callback) {
		var s = document.createElement('script');
		s.setAttribute('src',src);
		s.setAttribute('defer', true);
		s.onload=callback;
		document.body.appendChild(s);
	}

	if(c.data.isPersonalizedAnswer) {
		addDeferScript("/scripts/app-ex-integrated-answers-components/app-ex-integrated-answers-components.min.js");
	}

	$scope.$on('sp_loading_indicator', function(e, value) {
		$scope.loadingIndicator = value;
		// Evaluate search bar visibility once the page has completed loading.
		if(!value)
			c.evaluateSearchWidgetVisibility();
	});

	$scope.showSearchBar = true;
	$scope.userID = $scope.user.sys_id;
	$scope.todosPopupId = c.data.isMobile ? '#popup_todos_mobile' : '';
	$scope.casesPopupId = c.data.isMobile ? '#popup_cases_mobile' : '';
	$scope.popupType = c.data.isMobile ? 'collapse' : 'dropdown';
	$scope.expanded = false;
	$scope.isMobileViewOnDesktopExpanded = false;
	$scope.loadingIndicator = $rootScope.loadingIndicator;
	$scope.cartItemCount = 0;

	/* Below 2 scope variables (showMobileMenuOnDesktop, showMobileMegaMenu) have counterparts in EC Navigation widget also.
     So whenever we set these variables, make sure to emit an event on rootScope to update them in the former widget as well. */

	// Determines whether to show mobile view on desktop due to oveflow of items in sub navigation bar of header.
	$scope.showMobileMenuOnDesktop = false;
	// Used to hide global navigation tools on mobile while showing mega menu topics in right panel.
	$scope.showMobileMegaMenu = false;

	c.todoCountTranslation = i18n.format(c.data.todoCountLabel, String(c.data.todoCount));
	c.toursTranslation = "${Tours}";

	c.MOBILE_DEVICE_SCREEN_WIDTH = 767;
	$scope.mobileDevice = $scope.mobileDevice || c.data.isMobile || ($window.innerWidth <= c.MOBILE_DEVICE_SCREEN_WIDTH);

	if (cabrillo.isNative())
		$scope.isViewNative = true;

	// initially for first load, if the calculated width is in mobile view then update
	// isHeaderInMobileView so that Employee Center Navigation widget also goes into mobile mode
	$scope.$watch("mobileDevice", function() {
		$rootScope.isHeaderInMobileView = $scope.mobileDevice;
		$rootScope.$broadcast('isHeaderInMobileView', $scope.mobileDevice);
	}); 

	$scope.$watch('isMobileViewOnDesktopExpanded', function (oldVal, newVal) {
		if (oldVal && !newVal) {
			$timeout(c.registerClickEventHanlderOnCart, c.INITIAL_TIMEOUT);
		}
	});

	c.registerClickEventHanlderOnCart = function  () {
		$('a#cart-dropdown').on('click', function (event) {
			if ($window.innerWidth > c.MOBILE_DEVICE_SCREEN_WIDTH && $scope.isMobileViewOnDesktopExpanded) {
				$location.search({id: 'sc_cart'});
				$scope.toggleMobileMenuVisibility();
			}
		});
	}

	$scope.$on("$locationChangeSuccess", function (event, data) {
		if (c.data.isMobile) {
			if ($('div#popup_todos_mobile').is(":visible"))
				$('li > a#todos_popup').click();
			else if ($('div#popup_cases_mobile').is(":visible"))
				$('li > a#cases_popup').click();
		} else {
			$('li.open > a#cases_popup').click();
			$('li.open > a#todos_popup').click();
		}
	});

	c.processWatchers = function (watcher) {
		setTimeout($scope.reloadHeader, 20);
	};

	/* Record Watchers */
	if (c.data.recordWatchers && c.data.recordWatchers.length > 0) {
		angular.forEach(c.data.recordWatchers, function (watcher) {
			spUtil.recordWatch($scope, watcher.table, watcher.filter, c.processWatchers);
		});
	}

	$scope.reloadHeader = function (actionName) {
		c.data.action = actionName || c.data.ACTION_TODO_COUNT;
		if (c.data.action == c.data.ACTION_TODO_COUNT)
			c.server.get({
				action: c.data.action
			}).then(function (resp) {
				c.data.todoCount = resp.data.todoCount;
				c.todoCountTranslation = i18n.format(c.data.todoCountLabel, String(c.data.todoCount));
			});
		else
			c.server.update();
	};

	$scope.openLogin = function () {
		$scope.modalInstance = $uibModal.open({
			templateUrl: 'modalLogin',
			scope: $scope
		});
	};

	$rootScope.$on("update.searchpage", function (e, searchPage) {
		$scope.searchPage = searchPage;
	});

	$rootScope.$on('sp.avatar_changed', function () {
		$scope.userID = '';
		$timeout(function () {
			$scope.userID = $scope.user.sys_id;
		});
	});

	$rootScope.$on(c.SHOW_MOBILE_MENU_ON_DESKTOP, function (event, showMobileMenuOnDesktop) {
		if (!(showMobileMenuOnDesktop || $scope.mobileDevice) && $scope.showMobileMenuOnDesktop) {
			$scope.isMobileViewOnDesktopExpanded = false;
		}
		$scope.showMobileMenuOnDesktop = showMobileMenuOnDesktop || $scope.mobileDevice;
	});

	$rootScope.$on(c.SHOW_MOBILE_MEGA_MENU, function (event, showMobileMegaMenu) {
		$scope.showMobileMegaMenu = showMobileMegaMenu;
	});

	$timeout(function() {
		$scope.calulatedNavbarWidth();
		resizeObserverForTopNav();
	},c.INITIAL_TIMEOUT);

	function resizeObserverForTopNav() {
		var headerSearch = document.querySelector(".header-search");
		var navbarBrand = document.querySelector(".navbar-brand-logo > img");
		var navbarRight = document.querySelector(".navbar-right > div"); 
		//fix for firefox/chrome on cmd + text zoom increase
		if(window.ResizeObserver) {
			var resizeObserver = new ResizeObserver(function(entries) {
				if(entries) {
					$scope.calulatedNavbarWidth();
				}
			});

			if(headerSearch)
				resizeObserver.observe(headerSearch);

			if(navbarBrand)
				resizeObserver.observe(navbarBrand);

			if(navbarRight)
				resizeObserver.observe(navbarRight);
		}
	}

	$scope.toggleMobileMenuVisibility = function (event) {
		if (event) {
			event.stopPropagation();
		}
		$scope.isMobileViewOnDesktopExpanded = !$scope.isMobileViewOnDesktopExpanded;
		$scope.expanded = false;
		$scope.showMobileMegaMenu = false;
		$rootScope.$emit(c.SHOW_MOBILE_MEGA_MENU, false);
	};

	$rootScope.$on(c.TOGGLE_MOBILE_MENU_VISIBILITY, function() {
		$scope.toggleMobileMenuVisibility();
	});

	$scope.handleMobileViewClick = function (event) {
		if ($(event.target).text() !== c.toursTranslation) {
			event.stopPropagation();
		}
	};

	$scope.isHomepage = function () {
		if (!$scope.page.id)
			return true;

		if ($scope.page.id == $scope.portal.homepage_dv)
			return true;

		return false;
	};

	c.evaluateSearchWidgetVisibility();

	//remove nested ul to fix screen reader issue
	$timeout(function () {
		var cartToursWrapper = $('.navbar-header .v' + scope.data.top.menu.sys_id);

		if (!cartToursWrapper.length)
			return;

		var menu = cartToursWrapper.parent().parent();
		var menuItems = cartToursWrapper.children();
		menu.append(menuItems);
		cartToursWrapper.parent().remove();
	}, 1000);

	$scope.$on('sn_lp.giveFeedbackModalOpen', function() {
		$scope.toggleMobileMenuVisibility();
	});


	// Start NewRocket Enhancements
	spUtil.recordWatch($scope, "incident", "active=true^caller_id=javascript:gs.getUserID()", function () {
		updateCounts();
	});
	spUtil.recordWatch($scope, "sc_request", "active=true^requested_for=javascript:gs.getUserID()", function () {
		updateCounts();
	});
	spUtil.recordWatch($scope, "sysapproval_approver", "approver=javascript:global.getMyApprovals()", function () {
		updateCounts();
	});

	c.data.action = 'getWidgets';
	$timeout(serverUpdate);

	function serverUpdate() {
		c.server.update().then(function (response) {
			updateResponse(response);
		});
	}

	function updateCounts() {
		c.data.action = 'getCounts';
		c.server.update().then(function (res) {
			c.data.action = undefined;
			broadcastCounts(res);
		});
	}

	function broadcastCounts(response) {
		$rootScope.approvals_count = response.counts.approvals;
		$rootScope.tickets_count = response.counts.tickets;
		$scope.counts = response.counts;
		$rootScope.$broadcast('nr.updateCounts', $scope.counts);
	}

	function updateResponse(response) {
		// Calls for Drawer Widgets
		c.data.action = undefined;
		if (response.myBookmarksWidget) {
			c.myBookmarksWidget = response.myBookmarksWidget;
		}
		if (response.myTicketsWidget) {
			c.myTicketsWidget = response.myTicketsWidget;
		}
		if (response.myApprovalsWidget) {
			c.myApprovalsWidget = response.myApprovalsWidget;
		}
		if (response.counts) {
			broadcastCounts(response);
		}
	}
	// End NewRocket Enhancements


}]]></client_script>
        <controller_as>c</controller_as>
        <css>@mixin -link-hover {
  cursor: pointer;
  background-color: darken($navbar-inverse-bg, 5%);
  border-radius: $border-radius-base;
  color: $navbar-inverse-link-hover-color;
}

@mixin -link-focus {
  outline: 1.5px solid $navbar-inverse-link-color;
  border: none;
  border-radius: $border-radius-base;
  box-shadow: inset 0 0 0 0.1rem #fff;
  background-color: darken($navbar-inverse-bg, 10%);
  color: $navbar-inverse-link-hover-color;
}

@mixin -focus-visible-mouse-ua {
  border: none;
  outline: none;
  box-shadow: none;
}

@mixin -focus-visible-keyboard-ua {
  outline: 1.5px solid $navbar-inverse-link-color;
  border: none;
  border-radius: $border-radius-base;
  box-shadow: inset 0 0 0 0.1rem #fff;
}

.navbar-inverse {
  margin-bottom: 0px;
  border-radius: 0px;
  background-color: $navbar-inverse-bg;

  .navbar-header {
    &amp;.nav-container {
      width: 100%;
      display: flex;
      flex-wrap: wrap;
      justify-content: end;
      
      .sub-navbar-overflow-entry-button {
        position: relative;
        float: right;
        margin: 1.3rem 1.5rem 1.3rem 0;
        padding: .9rem 1rem;
        background-color: transparent;
        background-image: none;
        border: .1rem solid transparent;
        border-radius: .4rem;
        border-color: rgba(255, 255, 255, .25);

        .label {
          float: right;
          margin-right: -.5rem;
          margin-top: -.7rem;
          padding: .2em .5em .2em;
        }

        .label-as-badge {
          font-size: 1.2rem;
          position: relative;
          top: -$sp-space--xxs;
          left: $sp-space--xxs;
          padding: $sp-space--xxs 5px;
          margin-left: 0;
          background-color: $btn-danger-bg;
          color: $text-white;
        }

        .icon-bar {
          display: block;
          width: 2.2rem;
          height: .2rem;
          border-radius: .1rem;
          background-color: #fff;
        }

        .icon-bar+.icon-bar {
          margin-top: .4rem;
        }

        &amp;.close-icon-visible {
          margin-bottom: 0;
          padding: 0.6rem 1rem;
        }

        .fa.fa-close {
          vertical-align: -6%;
          font-size: 20px;
          width: 22px;
          color: $navbar-inverse-link-color;
        }
      }
    }

    .gt-menu-item&gt;a,
    .gt-menu-item&gt;div&gt;ul&gt;li&gt;a,
    .navbar-nav&gt;li&gt;a {
      &amp;:hover {
        @include -link-hover;
      }

      &amp;:focus {
        @include -link-focus;
      }

      &amp;:focus:not(:focus-visible) {
        @include -focus-visible-mouse-ua;
      }

      &amp;:focus-visible {
        @include -focus-visible-keyboard-ua;
      }
    }

    .mobile-view-on-desktop {
      top: 60px;
      position: absolute;
      right: 0;
      z-index: 999;
      min-height: 600px;
      max-width: 400px;
      background-color: $navbar-inverse-bg;
      box-shadow: 5px 5px 5px $navbar-inverse-link-color;
      color: $navbar-inverse-link-color;

      .mobile-view-navbar {
        list-style: none;
        padding: 0 8px;
        margin: 0;
        display: flex;
        flex-direction: column;
        border-top: 1px solid darken($navbar-inverse-link-color, 45%);

        .main-header-items {
          padding-inline-start: 0.4rem !important;
          padding-inline-end: 0.4rem !important;
          list-style: none;
          padding-top: 11px;
          margin: 0;
          display: flex;
          flex-direction: column;

          &amp;&gt;li&gt;div&gt;ul {
            width: 100%;

            &amp;&gt;li {
              width: 100%;

              &amp;&gt;a&gt;span {

                &amp;:hover {
                  @include -link-hover;
                }

                &amp;:focus {
                  @include -link-focus;
                }

                &amp;:focus:not(:focus-visible) {
                  @include -focus-visible-mouse-ua;
                }

                &amp;:focus-visible {
                  @include -focus-visible-keyboard-ua;
                }
              }
            }
          }

          &amp;&gt;li:not(:nth-child(10))&gt;a {
            display: block;
            padding: $sp-space--md;

            &amp;:hover {
              @include -link-hover;

              &amp;&gt;a {
                color: $navbar-inverse-link-hover-color;
              }
            }

            &amp;:focus {
              @include -link-focus;
            }

            &amp;:focus:not(:focus-visible) {
              @include -focus-visible-mouse-ua;
            }

            &amp;:focus-visible {
              @include -focus-visible-keyboard-ua;
            }

            // Cart, tours, and Wishlist (Mobile View)
            .nav.navbar-nav {
              display: flex;
              flex-direction: column;
            }
          }
        }

        .mobile-mega-menu-entry {
          margin: 0 -8px;
        }

        .separator {
          margin: 20px -8px;
          border-top: 1px solid darken($navbar-inverse-link-color, 30%);
        }

        li&gt;a {
          color: $navbar-inverse-link-color;

          &amp;:hover,
          &amp;:focus {
            color: #fff !important;
            background-color: transparent;
          }

          &amp;:focus {
            box-shadow: inset 0 0 0 0.1rem #fff;
            outline: 1.5px solid $navbar-inverse-link-color;
            border: none;
            border-radius: 4px;
          }

          &amp;:focus:not(:focus-visible) {
            border: none;
            outline: none;
            box-shadow: none;
          }

          &amp;:focus-visible {
            box-shadow: inset 0 0 0 0.1rem #fff;
            outline: 1.5px solid $navbar-inverse-link-color;
            border: none;
            border-radius: 4px;
          }
        }

        li.user-name {
          margin: 0 0.4rem 0 0.4rem;

          &amp;&gt;a {
            display: block;
            padding: 0 $sp-space--md;
            height: $sp-space--xl * 2;

            &amp;&gt;span.navbar-avatar {
              line-height: $sp-space--sm * 7;
            }

            &amp;&gt;span:not(.navbar-avatar) {
              line-height: 4.5rem;
            }
          }

          &amp;:hover {
            @include -link-hover;

            &amp;&gt;a {
              color: $navbar-inverse-link-hover-color;
            }
          }

          &amp;:focus {
            @include -link-focus;
          }

          &amp;:focus:not(:focus-visible) {
            @include -focus-visible-mouse-ua;
          }

          &amp;:focus-visible {
            @include -focus-visible-keyboard-ua;
          }
        }
      }

      .impersonate-and-logout {
        div&gt;ul&gt;li:first-child {
          &amp; &gt; a {
            display: none;
          }

          ul.dropdown-menu {
            width: 400px;
            display: block;
            z-index: inherit;
            background-color: $navbar-inverse-bg;
            box-shadow: none;
            border-radius: 0;
            padding-left: 2px;
            padding-bottom: 16px;

            li&gt;a {
              margin: 0 $sp-space--md 0 $sp-space--md;
              padding: $sp-space--md;

              &amp;:hover {
                @include -link-hover;

                &amp;&gt;a {
                  color: $navbar-inverse-link-hover-color;
                }
              }

              &amp;:focus {
                @include -link-focus;

                &amp;&gt;a {
                  border: none;
                  box-shadow: none;
                }
              }

              &amp;:focus:not(:focus-visible) {
                @include -focus-visible-mouse-ua;
              }

              &amp;:focus-visible {
                @include -focus-visible-keyboard-ua;
              }
            }

            li:first-child {
              display: none;
            }
          }
        }

        div&gt;ul&gt;li&gt;a {
          margin: 0 $sp-space--md 0 $sp-space--md;
          padding: $sp-space--md;

          &amp;:hover {
            @include -link-hover;

            &amp;&gt;a {
              color: $navbar-inverse-link-hover-color;
            }
          }

          &amp;:focus {
            @include -link-focus;

            &amp;&gt;a {
              border: none;
              box-shadow: none;
            }
          }

          &amp;:focus:not(:focus-visible) {
            @include -focus-visible-mouse-ua;
          }

          &amp;:focus-visible {
            @include -focus-visible-keyboard-ua;
          }
        }
      }
    }

    .mobile-view-on-desktop.search-visible {
      top: 113px;
      position: absolute;
      right: 0;
      width: 100%;
      /* To prevent Mega menu panel in hamburger view from growing beyond footer */
      max-height: 100vh;
      overflow-y: auto;
      z-index: 999;
      padding: 10px 0px;
      margin-bottom: 10px;
    }

    .navbar-brand {
      margin: 0;
      margin-right: auto;
      height: 60px;
      padding: $sp-logo-margin-y 0px 10px $sp-logo-margin-x;
      
      img,
      span {
        margin: 0;
        display: block;
        max-height: $sp-logo-max-height;
        max-width: $sp-logo-max-width;
        position: relative;
        top: 50%;
        -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        transform: translateY(-50%);
      }
    }

    .navbar-right .dropdown-menu&gt;li&gt;a {
      &amp;:hover {
        @include -link-hover;
      }

      &amp;:focus {
        @include -link-focus;
      }

      &amp;:focus:not(:focus-visible) {
        @include -focus-visible-mouse-ua;
      }

      &amp;:focus-visible {
        @include -focus-visible-keyboard-ua;
      }
    }
  }

  .dropdown-menu&gt;li&gt;a {
    color: $navbar-inverse-link-color;
  }

  .dropdown-toggle:focus {
    outline: thin dotted;
    outline: 5px auto -webkit-focus-ring-color;
  }

  .sub-navbar {
    background-color: $sp-navbar-divider-color;
    border: none;
    width: 100%;

    #cart-dropdown,
    #wishlist-menu {
      display: none;

      ~* {
        display: none !important;
      }
    }

    .navbar-nav&gt;li&gt;a[href="?id=sc_cart"],
    .navbar-nav&gt;li&gt;a[href="?id=sc_wishlist"] {
      display: none !important;
    }

    .gtd-dropdown-container {
      display: none;
    }

    .open&gt;a,
    .open&gt;a:focus {
      background-color: darken($sp-navbar-divider-color, 8%);
    }

    #cart-dropdown {
      display: none;

      :after {
        content: "\f0d7";
        vertical-align: baseline;
        width: auto;
        height: auto;
        border: none;
        margin-left: 5px !important;
        display: inline-block;
        font: normal normal normal 14px/1 FontAwesome;
        font-size: inherit;
        text-rendering: auto;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
      }
    }

    .dropdown-menu {
      background-color: $sp-navbar-divider-color;

      &gt;li&gt;a:hover,
        &gt;li&gt;a:focus {
          background-color: darken($sp-navbar-divider-color, 8%);
      }
    }
  }

  .dropdown-menu {
    background-color: rgba($navbar-inverse-bg, 0.97);
    border: none;

    &amp;.case-menu {
      right: 0;
      left: auto;
      padding: 0;
      width: 450px;
      background: $color-lightest;
      overflow-y: hidden;
    }
  }

  &gt;.open&gt;a:hover,
    &gt;.open&gt;a:focus {
      background-color: darken($navbar-invese-bg, 8%);
  }

  .fa-caret-down {
    vertical-align: middle;
    margin-top: 2px;
  }

  .caret:before {
    content: "\f0d7";
  }

  .caret {
    vertical-align: baseline;
    width: auto;
    height: auto;
    border: none;
    margin-left: 5px !important;
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }

  .label-as-badge {
    font-size: 1.2rem;
    position: relative;
    top: -$sp-space--sm;
    left: -$sp-space--xxs;
    padding: 1px 5px;
    margin-left: 0;
    background-color: $btn-danger-bg;
    color: $text-white;
  }

  .navbar {
    transition: 250ms opacity ease-in-out;
    -webkit-transition: 250ms opacity ease-in-out;
    border: 0;
  }

  .navbar-fade {
    opacity: 0.4;
  }

  .navbar-collapse {
    padding-right: 0px;
  }

  .case-menu {
    div#widget-tabs-2 {
      border: none;

      &gt;.panel-heading {
        border: none;
        border-bottom: 1px solid $border;
      }
    }
  }

  ul.nav.navbar-nav {

    // Hiding the loading indicator from Header Menu base system widget
    div.header-loader {
      display: none;
    }

    li.sp-loading-indicator {
      padding-top: $sp-space--sm * 3;
      margin-top: $sp-space--xxs;
    }
  }

  #more-items-dropdown {
    overflow: visible;
  }

  .cart-dropdown,
  .wishlist-menu,
  .gtd-dropdown-container .empty-dropdown {
    width: 350px;
    padding: 0;
    z-index: 1000;
    border-top-left-radius: 4px !important;
    border-top-right-radius: 4px !important;

    ul {
      max-height: 300px;
      overflow: auto;
    }

    .subtotal {
      display: block;
    }

    .item-image {
      padding: 0;
      margin: 0;
      text-align: center;
      max-width: 100%;
      height: auto;
    }

    label,
    p {
      padding: 0;
      margin: 0;
    }

    .media {
      padding: 0;
      margin: 0;
    }

    .media-left&gt;a {
      display: block;
      width: 48px;
      max-width: 48px;
    }

    .media-body {
      label {
        font-weight: bold;
      }
    }

    li.media {
      border-top: 1px solid #cccccc;
      padding: 1rem;
    }

    .panel {
      margin: 0;
    }

    .panel .panel-body {
      padding: 0;
    }

    .btn-clear {
      color: #333;
      background-color: #fff;
    }

    p.quantity-price {
      padding-top: 0.5rem;

      span {
        color: $text-muted;
        padding-right: 0.5rem;
      }
    }

    .align-right {
      text-align: right;
    }
  }


  .item-added-tooltip,
  wishlist-item-added-tooltip {
    width: 184px;
    font-size: 14px;
  }

  .gtd-dropdown-container {
    .empty-tour-content {
      text-align: center;
      margin: 40px 20px;
    }

    .dropdown-menu li {
      a {
        cursor: pointer;
      }

      min-width: 20em;
    }

    .label-as-badge {
      width: 12px;
      height: 12px;
      display: inline-block;
      padding: 0px;
      padding-top: 2px;
    }

    .badge-container {
      display: inline-block;
      width: 12px;
    }
  }

}

@media screen and (min-width: 768px) {
  .navbar-inverse {
    .navbar-right&gt;.navbar-nav&gt;div {
      float: left;
    }

    .navbar-right {
      display: flex;
      flex-direction: row-reverse;
      margin-right: 10px;

      &gt;ul {
        display: -webkit-box;
        display: -moz-box;
        display: box;

        -moz-box-orient: horizontal;
        box-orient: horizontal;
        -webkit-box-orient: horizontal;
      }

      .navbar-nav&gt;li&gt;a {
        padding-right: 10px;
        padding-left: 10px;
      }
    }

    .navbar-avatar {
      margin-top: -7px;
    }

    a#todos_popup {
      padding-left: 0px;
    }

    .navbar-nav .open .dropdown-menu&gt;li&gt;a {
      margin: 0 $sp-space--sm 0 $sp-space--sm;
      padding: 10px 20px;
    }

    .navbar-header {
      position: relative;

      .dropdown-toggle {
        height: 60px;
      }
    }

    .temp-mobile {
      display: inline-block;
    }

    .sub-navbar {
      display: flex;
      padding-left: 0;
    }

    .sub-navbar--mobile-view {
      .navigation--xs {
        display: none;
      }
    }
  }
}

.header-search-mobile {
  margin: 1.3rem 1rem;
  width: 100%;
}

// Search bar styles in the header (Should always be in the center)
.header-search {
  margin: 1.3rem 1rem;
  width: 100%;
  max-width: 600px;
  min-width: 250px;

  @media (max-width: 1920px) and (min-width: 1441px) {
    max-width: 600px;
  }

  @media (max-width: 1440px) and (min-width: 1025px) {
    max-width: 450px;
  }

  @media (max-width: 1024px) and (min-width: 768px) {
    max-width: 350px;
  }
}

@media all and (-ms-high-contrast: none),
  (-ms-high-contrast: active) {
    .navbar-inverse {
      .mobile-top-navigation {
        .mobile-view-on-desktop {
          .main-header-items {
            padding-left: .4rem;
          }
        }
      }
    }
}

@media (min-width : 320px) and (max-width : 767px) {
  .navbar-inverse {
    .dropdown-menu.case-menu {
      width: 100%;
    }

    .navbar-toggle {
      border-color: rgba(255, 255, 255, .25);
    }

    .navbar-toggle:focus {
      -webkit-box-shadow: 0rem 0rem 0.5rem #1f8476
    }

    .navbar-nav {
      display: block;
      margin: 0;

      .open .dropdown-menu&gt;li&gt;a {
        padding: 5px 30px;
      }
    }

    .sub-navbar {
      padding: 0px 0px;
    }

    .upper-collapse {
      width: 100%;
      padding-bottom: 0px;
    }

    .navbar-collapse {
      padding-top: 0px;
      padding-left: 0px;
      overflow: hidden;

      ul {
        margin: 0;
      }
    }

    .navbar-header.nav-container {
      .mobile-view-on-desktop {
        min-width: 100%;
        // max-width: 100%; is needed for 400% zoom-level in WCAG resolution
        max-width: 100%;

        .impersonate-and-logout {
          div&gt;ul&gt;li:first-child {
            height: auto;
          }
        }
      }

      &gt;ul {
        display: inline-block;
        padding: 10px 10px 0 0;
        float: right;
        margin: 0;
      }

      &gt;li {
        display: inline-block;
      }
    }

    .height-adjust {
      padding: 10px 0px;
      margin-bottom: 10px;
    }

    .popup-edit {
      background: $color-lightest;
      position: fixed;
      top: 0;
      height: 100%;
      margin-top: 0;
      max-height: 100%;
      width: 100%
    }

    .navbar-collapse-label {
      float: right;
      margin-right: -5px;
      margin-top: -7px;
    }

    button&gt;span.label {
      padding: .2em .5em .2em;
    }
  }
}</css>
        <data_table>sp_instance</data_table>
        <demo_data/>
        <description/>
        <docs/>
        <field_list/>
        <has_preview>false</has_preview>
        <id>nr-ec-header</id>
        <internal>false</internal>
        <link><![CDATA[function escHeaderLink(scope, element, attrs, controller) {
    $(element).on('click', 'a.navbar-brand', function (e) {
        scope.expanded = false;
    });
    //defaults for calulating width of components
    var DEFAULT_SEARCH_SIZE = scope.showSearchBar ? 600 : 0;
    var DEFAULT_RIGHT_NAVIGATION_SIZE = 400;
    var DEFAULT_LOGO_SIZE  = 300;

    //added these to scope so that these can be potentially used in controller
    scope.navbarRightSize = 0;
    scope.navbarRightFinalSize = 0
    scope.navbarRightTop = 0;
    scope.navbarSearchSize = 0;
    scope.navbarSearchFinalSize = 0
    scope.navbarSearchTop = 0;
    scope.navLogoFinalSize = 0;

    $(element).on('click.nav', '.navbar-collapse.in', function (e) {
        var target = $(e.target);
        if (target.is('a') && !target.hasClass("dropdown-toggle") && target.siblings('.dropdown-menu').length == 0) {
            // collapse mobile nav if clicked an anchor that isn't a dropdown toggle
            scope.expanded = false;
            return;
        }

        // if neither target nor parent is an anchor or the parent anchor is a dropdown-toggle, do nothing
        if (!target.parent().is('a') || target.parent().hasClass("dropdown-toggle") || target.parent().siblings('.dropdown-menu').length > 0)
            return;

        // collapse mobile nav if target is part of a submenu
        if (target.parents("ul.dropdown-menu").length > 0) {
            scope.expanded = false;
            return;
        }

        // collapse mobile nav is target is part of the dropdown
        if (target.parents("div.navbar-collapse").length > 0)
            scope.expanded = false;
    });
    $(element).on('keydown', '.dropdown-menu > .header-menu-item', function (e) {
        var target = e.target;
        if (target.localName === 'a') {
            if (e.keyCode === 37 || e.keyCode === 39) {
                e.preventDefault();
                $(target).parents('li').removeClass('open');
                $(target).parents('li').find('a').focus();
            } else if (e.keyCode === 9) {
                $(target).parents('li').removeClass('open');
            }
        }
    });

  $('body').click(function (event) {
      if ($(event.target).text() !== controller.toursTranslation && scope.isMobileViewOnDesktopExpanded)
         scope.toggleMobileMenuVisibility();
   });

  // Closing mobile navigation menu after hitting Tab key on Logout option to focus on next DOM element on the page.
  $(document).on('keydown', '.impersonate-and-logout > div > ul > li > a[href*="logout"]', function (keyDownEvent) {
     var TAB_KEY_VALUE = 'Tab';

     if (keyDownEvent.key === TAB_KEY_VALUE  && !keyDownEvent.shiftKey && scope.mobileDevice) {
        scope.$applyAsync(function () {
         scope.toggleMobileMenuVisibility();
        });
     }
  });

  // this is for the fact that the impersonate and logout widget has hardcoded mobile size, and for screen width
  // greater than 767 pixel, the impersonate and dropdown li has tabindex -1, hence handling that case to close menu.
  $(document).on('keydown', '.impersonate-and-logout > div > ul > li', function (keyDownEvent) {
    var TAB_KEY_VALUE = 'Tab';
    var dropdownItems = $('.impersonate-and-logout > div > ul > li > a + ul > li > a');
    if (dropdownItems.length > 0) {
    //Close mega menu only if focus is at the last element of the menu and tab key is entered
        if (document.activeElement === dropdownItems[dropdownItems.length - 1]) {
            if (keyDownEvent.key === TAB_KEY_VALUE  && !keyDownEvent.shiftKey && (scope.mobileDevice || scope.showMobileMenuOnDesktop)) {
                scope.$applyAsync(function() {
                    scope.toggleMobileMenuVisibility();
               });
            }
        }
    }
  });

  // Helper function to handle the arrow key navigation in the header
	function handleKeyPressEvents(e) {
		var target = e.target;
		var querySelector;
		if($(this).hasClass('gt-menu-item'))
			querySelector = 'li.gt-menu-item';

		// Only Side arrow keys should work for gt-menu-item and only vertical arrow keys should work for header-nav-item
		if(querySelector === 'li.gt-menu-item' && !(e.keyCode === 37 || e.keyCode === 39 || e.keyCode === 9))
				return;
		else if($(this).parents('.header-nav-item').length !== 0 && !(e.keyCode === 38 || e.keyCode === 40))
				return;

		//desktop view prework
		var currentMenuItem = $(target).parents('li');
		var parentUL = currentMenuItem.parents('ul');
		var allMenuItems = parentUL.children(querySelector);
		var firstMenuItem = allMenuItems.first();
		var lastMenuItem = allMenuItems.last();
		var menuItemToFocus;

		if(querySelector === 'li.gt-menu-item') {
			if(e.keyCode === 9) {
				$(target).parents('li').removeClass('open');
				return;
			}
			else {
				e.preventDefault();
				currentMenuItem.removeClass('open');
			}
		}

		//mobile view navigation prework
		var items = [];
		var selectors = [];
		selectors.push('li.main-header-item>a'); //main header items -> Employee Center Header widget
		selectors.push('li.header-menu-item>a#tour-dropdown'); // Tour drop down -> EC Menu widget
		selectors.push('li.user-name>a'); // User Name -> Employee Center Header widget
		selectors.push('.impersonate-and-logout > div > ul > li > a + ul > li > a'); // Logout/Impersonate -> Profile with Drop Down widget
		selectors.push('.impersonate-and-logout li.visible-xs-block>a');
		for (var i = 0; i < selectors.length; i++) {
		    //Dont include hidden profile button
			if(selectors[i] === '.impersonate-and-logout > div > ul > li > a + ul > li > a'){
				items.push($(selectors[i]).slice(1).get());
			}
			else{
				items.push($(selectors[i]).get());
			}
		}
		items = [].concat.apply([], items);

		//mobile view navigation starts
		if ($(target).parents('.header-nav-item').length) {
			var index = items.indexOf($(':focus').get(0));
			if (e.keyCode === 40) {
				e.preventDefault();
				index = index + 1;
			}
			else if(e.keyCode === 38) {
				e.preventDefault();
				if (index === 0) {
					$('.mega-menu-item').filter(':visible').last().focus();
				}
				index = index - 1;
			}
			if (index < items.length && index >= 0)
				items[index].focus();
		} //else if desktop view
		else if (target.localName === 'a') {
			if(e.keyCode === 37) {
				var previousMenuItem = currentMenuItem.prevAll(querySelector);
				currentMenuItem.prevAll(querySelector).first();
				//enable circular navigation
				menuItemToFocus = previousMenuItem.length ? previousMenuItem : lastMenuItem;
				menuItemToFocus.find('a').focus();
			} else if(e.keyCode === 39) {
				var nextMenuItem = currentMenuItem.nextAll(querySelector).first();
				//enable circular navigation
				menuItemToFocus = nextMenuItem.length ? nextMenuItem : firstMenuItem;
				menuItemToFocus.find('a').focus();
			}
		}
	}

	// Handler to focus the first element of More Items dropdown on pressing Space/Enter/Down Arrow key.
	$(element).on('keydown', '#more-items-button', function(e) {
		if(e.keyCode === 32 || e.keyCode === 13 || e.keyCode === 40) {
			e.preventDefault();
			var target = e.target;
			var moreItemsDropdown = '#more-items-dropdown';
			$(target).click();
			$(moreItemsDropdown).find('li.header-menu-item a:first').focus();
		}
	});

	// Capturing the arrow key navigation in mega menu for both desktop and mobile view
	$(element).on('keydown','.gt-menu-item, .header-nav-item', handleKeyPressEvents);

  /*
   * this is the method, which calculates the navbar component total width,
   * the main logic is that when the navbar wraps for text zoom or for normal case,
   * the top increases from 0, and then the mobile view is triggered.
   * It also takes care of edge cases, with and without the searchbar
  */
  scope.calulatedNavbarWidth = function(inDigest) {
    //if the text zoom level is less than 100% then falling back to normal mobileDevice calculation
    var currentFontSize  = parseInt($('body').css('font-size'));
    var constantOffset = 50;
    var flexOffsetWidth = constantOffset * (currentFontSize / 16);
    if(currentFontSize < 16) {
      scope.$apply(function() {
        scope.mobileDevice = controller.data.isMobile || (window.innerWidth <= controller.MOBILE_DEVICE_SCREEN_WIDTH);
      });
      return;
    }
    var headerSearch = angular.element(".header-search");
    var navbarBrand = angular.element(".navbar-brand-logo > img");
    var navbarRight = angular.element(".navbar-right > div");
    var totalNavbarSize = 0;
    if(headerSearch && headerSearch.length >= 1 && scope.navbarSearchTop == 0) {
      var tempSearchSize = scope.navbarSearchSize;
      scope.navbarSearchSize = headerSearch[headerSearch.length - 1].offsetWidth
      scope.navbarSearchTop = headerSearch[headerSearch.length - 1].clientTop;
      if(headerSearch[headerSearch.length - 1].clientTop > 0) {
        scope.navbarSearchFinalSize = tempSearchSize !== 0 ? tempSearchSize : DEFAULT_SEARCH_SIZE;
      }
      else {
        scope.navbarSearchFinalSize = scope.navbarSearchSize;
      }
    }
    if(navbarBrand && navbarBrand.length >= 1)
      scope.navLogoFinalSize = navbarBrand[navbarBrand.length - 1].offsetWidth;
    if(navbarRight && navbarRight.length >= 1 && scope.navbarRightTop == 0) {
      var tempSize = scope.navbarRightSize;
      scope.navbarRightSize = navbarRight[navbarRight.length - 1].offsetWidth
      scope.navbarRightTop = navbarRight[navbarRight.length - 1].clientTop;
      if(navbarRight[navbarRight.length - 1].clientTop > 0) {
        scope.navbarRightFinalSize = tempSize !== 0 ? tempSize : DEFAULT_RIGHT_NAVIGATION_SIZE;
      }
      else {
        scope.navbarRightFinalSize = scope.navbarRightSize;
      }
    }
    totalNavbarSize += scope.navLogoFinalSize !== 0 ? scope.navLogoFinalSize : DEFAULT_LOGO_SIZE;
    totalNavbarSize += scope.navbarSearchFinalSize !== 0 ? scope.navbarSearchFinalSize : DEFAULT_SEARCH_SIZE;
    totalNavbarSize += scope.navbarRightFinalSize !== 0 ? scope.navbarRightFinalSize : DEFAULT_RIGHT_NAVIGATION_SIZE;
    //if it has gone to two lines, simply go for mobileView
    var navBarFitsInViewport = (totalNavbarSize > (window.innerWidth - flexOffsetWidth));
    if(inDigest) {
      scope.mobileDevice = navBarFitsInViewport || controller.data.isMobile || (window.innerWidth <= controller.MOBILE_DEVICE_SCREEN_WIDTH);
    }
    else {
      scope.$apply(function () {
        // update current scope based on the new innerWidth and let angular update the view.
        scope.mobileDevice = navBarFitsInViewport || controller.data.isMobile || (window.innerWidth <= controller.MOBILE_DEVICE_SCREEN_WIDTH);
      });
    }
  }


   $(window).resize(function(e) {
    if(e.type == 'resize') {
      scope.calulatedNavbarWidth();
    }
  });

   // This helper returns a function, that, as long as it continues to be invoked, will not
   // be triggered. The function will be called after it stops being called for
   // N milliseconds. If `immediate` is passed, trigger the function on the
   // leading edge, instead of the trailing.
   function debounce(func, wait, immediate) {
      var timeout;
      return function () {
         var context = this,
            args = arguments;
         var later = function () {
            timeout = null;
            if (!immediate) func.apply(context, args);
         };
         var callNow = immediate && !timeout;
         clearTimeout(timeout);
         timeout = setTimeout(later, wait);
         if (callNow) func.apply(context, args);
      };
   }
}]]></link>
        <name>NewRocket Employee Center Header</name>
        <option_schema/>
        <public>false</public>
        <roles/>
        <script><![CDATA[(function() {
	var isPerfWidgetEnabled = (gs.getSession().isImpersonating() || gs.hasRole('admin')) && gs.getProperty("sn_ex_sp_perf_tools.enable_perf_widget", 'true') == 'true';
	if (isPerfWidgetEnabled)
		data.perfWidget = $sp.getWidget('performance_indicator');

	data.ACTION_TODO_COUNT = 'update_todo_count';
	data.ACTION_LOAD_CASES = 'load_cases';
	data.isMobile = gs.isMobile();
	data.isFavoritesEnabled = $sp.getValue('enable_favorites') == 'true';
	data.isPersonalizedAnswer = GlidePluginManager().isActive("com.sn_app_ex_integrated_answers");


	// Start NewRocket Enhancements
	if (gs.isLoggedIn()) {
		data.cartWidget = $sp.getWidget("sc-shopping-cart-v2", {
			cartTemplate: "small_shopping_cart_v2.html",
			auto_update_cart: options.auto_update_cart
		});
		if(!input || input.action=="getCounts"){
			data.counts = {};
			var api = new x_nero_launchpad.LaunchPadAPI();
			data.counts.tickets = api.getItemsCount();
			data.counts.approvals = api.getApprovalsCount();
			
			if (input) return;
		}
		// Drawer Widgets
		if (input && input.action == 'getWidgets') {
			var bookmarkOptions = {
				event_name: 'nrToggleBookmarks',
				widget_id: 'nr-favorites-list',
				load_async: 'true',
				widget_options: {
					title: gs.getMessage('My Favorites'),
					template: 'nr-bookmark-drawer.html',
					limit: "9",
					show_footer: "true",
					show_counts: "false",
					list_page: "nr_favorites",
					listeners: "nr.bookmarks"
				}
			};
			data.myBookmarksWidget = $sp.getWidget('nr-drawer', bookmarkOptions);

			var ticketOptions = {
				event_name: 'nrToggleTickets',
				widget_id: 'nr-mini-myitems',
				widget_options: {
					title: gs.getMessage('My Tickets'),
					template: "nr-scripted-list-with-icons.html"
				}
			};
			data.myTicketsWidget = $sp.getWidget('nr-drawer', ticketOptions);

			var approvalOptions = {
				event_name: 'nrToggleApprovals',
				widget_id: 'nr-approvals-list',
				widget_options: {
					title: gs.getMessage('My Approvals'),
					template: 'nr-approvals-with-panel-default.html'
				}
			};
			data.myApprovalsWidget = $sp.getWidget('nr-drawer', approvalOptions);
			return;
		}
	}
	// End NewRocket Enhancements


	if (data.isFavoritesEnabled) {
		var favoriteApi = new sn_ex_sp.FavoriteAPI();
		var qsConfig = $sp.getValue('quick_start_config');
		var favoriteIcon = favoriteApi.getFavoriteIcon(qsConfig);
		data.favoriteIcon = favoriteIcon.checkIcon;
	}

	//Load To-dos count
	if (!input || input.action == data.ACTION_TODO_COUNT) {
		var myTodosCountObject = new sn_hr_sp.todoPageUtils().getMyTodosCount();
		data.todoCount = myTodosCountObject.todoCount;
		data.todoCountLabel = gs.getMessage("{0} to-dos remaining");
		data.recordWatchers = myTodosCountObject.recordWatchers;

		// avoid consecutive calls 
		if (input)
			return;
	}

	data.isHrCoreActive = GlidePluginManager().isActive("com.sn_hr_core");
	if (data.isHrCoreActive && gs.getProperty('sn_hr_core.esc.create_hrprofile.override', 'true') === "true") {
		// HR Profile
		var hrProfileGr = new GlideRecord('sn_hr_core_profile');
		hrProfileGr.addQuery('user', gs.getUserID());
		hrProfileGr.setLimit(1);
		hrProfileGr.query();
		if (!hrProfileGr.hasNext() && gs.getUserID() && new GlideRecord('sys_user').get(gs.getUserID())) {
			hrProfileGr.setValue('user', gs.getUserID());
			hrProfileGr.insert();
		}
	}

	// check for listening posts voluntary feedback
	data.voluntarySurveyIsActive = false;
	data.isListeningPostsActive = GlidePluginManager().isActive("sn_lp");
	if (data.isListeningPostsActive) {
		var pulseUtils = new sn_lp.PulseUserCriteriaEvaluation();
		data.voluntarySurvey = pulseUtils.getActiveVoluntarySurvey && pulseUtils.getActiveVoluntarySurvey();

		if (data.voluntarySurvey && data.voluntarySurvey.next()) {
			data.voluntarySurveyIsActive = true;
		}
	}

	// populate the 'data' object
	data.link = '?id=hri_user_profile&sys_id=' + gs.getUserID();

	// Defines the support queue ID that will be linked to by the Live Chat link in header
	data.login_page = $sp.getValue('login_page');

	//Initialize menu objects
	data.sub = {};
	data.top = {};
	var menu = $sp.getValue("sp_rectangle_menu");
	data.sub.menu = $sp.getWidgetFromInstance(menu);
	data.escNavigation = $sp.getWidget("employee-center-navigation");

	//Copy sub menu to top menu, we want cart up top and menu items in the sub nav
	data.top.menu = JSON.parse(JSON.stringify(data.sub.menu));

	//Fetching My Items menu item sys_id
	var configOptions = JSON.parse((data.top.menu && data.top.menu.options && data.top.menu.options.widget_parameters) || '{}');
	data.moreItemsSysId = (configOptions.enable_more_items && configOptions.enable_more_items.sysId) || '';
	var subMenu = data.sub.menu;
	var moreItems;
	if (subMenu && subMenu.data) {
		subMenu.data.replace = true;
		// Hide login if menu already has link to login
		data.hasLogin = false;
		var subMenuDataItems = (subMenu.data.menu && subMenu.data.menu.items) || [];
		for (var i in subMenuDataItems) {
			var item = subMenuDataItems[i];
			if (item.sys_id === data.moreItemsSysId)
				moreItems = item;
			if (item.type === 'page' && item.sp_page === data.login_page)
				data.hasLogin = true;
		}
	}

	if (moreItems && moreItems.items)
		data.moreItems = moreItems.items;
	if (moreItems && data.moreItems && moreItems.label) {
		// Removing items with no label
		data.moreItems = data.moreItems.filter(function(moreItem) {
			return moreItem.label;
		});

		// Truncating label of items exceeding 60 character limit
		data.moreItems.forEach(function(moreItem) {
			moreItem.shortLabel = (moreItem.label.length > 60) ? (moreItem.label.substring(0, 60) + '...') : moreItem.label;
		});
	}

	data.hideSearchOnHomepage = configOptions.exclude_search_on_homepage ? configOptions.exclude_search_on_homepage.value : false;
	data.showRequests = configOptions.enable_requests ? configOptions.enable_requests.value : true;
	data.showTodos = configOptions.enable_tasks ? configOptions.enable_tasks.value : true;
	if (data.hideSearchOnHomepage) {
		data.homepage = $sp.getValue('homepage');
		var gr = new GlideRecord('sp_page');
		gr.get(data.homepage);
		data.dashboardSuffix = gr.getValue("id");
		data.portalSuffix = $sp.getPortalRecord().getDisplayValue("url_suffix");
	}

	data.showMoreItems = (moreItems && moreItems.label && data.moreItems && configOptions.enable_more_items) ? (data.moreItems.length > 0 && configOptions.enable_more_items.value) : false;
	if (data.showMoreItems)
		data.moreItemsTitle = data.moreItems.length === 1 ? data.moreItems[0].shortLabel : moreItems.label;

	// Analytics
	data.analyticsSupportEnabled = new GlidePluginManager().isActive('com.sn_content_analytics') && new GlidePluginManager().isActive('com.sn_content_delivery') && !sn_cd.cd_ContentDelivery.isContentPreview($sp);

	//Clean up items that don't belong
	if (subMenu) {
		if (subMenu.data) {
			subMenu.data.cartWidget = {};
			subMenu.data.showTours = false;
		}
		if (subMenu.options) {
			subMenu.options.enable_cart = false;
		}
	}
	if (data.top.menu && data.top.menu.data && data.top.menu.data.menu && data.top.menu.data.menu.items)
		data.top.menu.data.menu.items = [];

	var typeAheadOptions = {};
	typeAheadOptions.refresh_page_on_search_submission = false;
	typeAheadOptions.title = gs.getMessage("Search");
	if ($sp.isAISearchEnabled())
		typeAheadOptions.disable_all_suggestions = ($sp.getParameter('disableAllSuggestions') == 'true');

	data.typeahead = $sp.getWidget('typeahead-search', typeAheadOptions);
	data.loginWidget = $sp.getWidgetFromInstance('login-modal');
	data.avatarDropDown = $sp.getWidget('profile-with-drop-down', {
		"profile_url": data.link,
		"show_xs_avatar": false
	});
})();]]></script>
        <servicenow>false</servicenow>
        <static>true</static>
        <sys_class_name>sp_header_footer</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-08-12 20:37:06</sys_created_on>
        <sys_id>58c87491971511108c5b35dfe153af66</sys_id>
        <sys_name>NewRocket Employee Center Header</sys_name>
        <sys_package display_value="Launchpad by NewRocket" source="x_nero_launchpad">8d46e622134c6700793df6b2e144b0f9</sys_package>
        <sys_policy/>
        <sys_scope display_value="Launchpad by NewRocket">8d46e622134c6700793df6b2e144b0f9</sys_scope>
        <sys_update_name>sp_header_footer_58c87491971511108c5b35dfe153af66</sys_update_name>
        <template><![CDATA[<!-- Nav bar menu items starts-->
<nav class="navbar-inverse" aria-label="Primary" role="navigation" ng-if="!showViewAsHeader">

  <!-- Piece above searchbar -->
  <div class="clearfix">
    <div class="navbar-header nav-container">

      <!-- Logo -->
      <a class="navbar-brand" ng-if="::!portal.logo" href="?id={{::portal.homepage_dv}}" aria-label="{{::portal.title}}"><span>{{::portal.title}}</span></a>
	    <a class="navbar-brand navbar-brand-logo"
           ng-if="::portal.logo" href="?id={{::portal.homepage_dv}}"
           aria-label="{{::portal.title}} - ${Home Page}"
           data-toggle="tooltip"
           data-placement="bottom"
           data-title="{{::portal.title}} - ${Home Page}">
        <img ng-src="{{::portal.logo}}" alt="{{::portal.title}} - ${Home Page}"/>
      </a>

      <!-- Search Bar Desktop -->
      <div ng-class="mobileDevice ? 'header-search-mobile' : 'header-search'" ng-if="showSearchBar && !mobileDevice">
        <sp-widget widget="data.typeahead"></sp-widget>
      </div>

      <!-- Mobile Navigation View -->
      <div class="mobile-top-navigation" ng-if="showMobileMenuOnDesktop || mobileDevice">
        <!-- Toggle Button (Hamburger Menu for Mobile View) -->
        <button type="button" 
                class="sub-navbar-overflow-entry-button"
                ng-class="isMobileViewOnDesktopExpanded ? 'close-icon-visible' : ''"
                aria-label="{{isMobileViewOnDesktopExpanded ? '${Hide menu primary navigation}' : '${Show menu primary navigation}'}}" 
                data-toggle="tooltip"
                data-placement="auto bottom" 
                data-original-title="{{isMobileViewOnDesktopExpanded ? '${Hide Menu}' : '${Show Menu}'}}"
                ng-click="toggleMobileMenuVisibility($event)">
          <div ng-if="!isMobileViewOnDesktopExpanded">
            <!--<span class="label label-as-badge label-primary">{{data.todoCount + data.requestCount + cartItemCount}}</span>-->
            <span class="label label-as-badge label-primary">{{counts.tickets + counts.approvals + cartItemCount}}</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </div>
          <i class="fa fa-close" ng-if="isMobileViewOnDesktopExpanded"></i>
        </button>

        <div class="mobile-view-on-desktop"
             ng-class="mobileDevice && showSearchBar ? 'search-visible' : ''"
             ng-show="isMobileViewOnDesktopExpanded"
             ng-click="handleMobileViewClick($event)"
             role="presentation">
            <div class="height-adjust">
               <ul class="mobile-view-navbar">
                 <!-- Mega Menu & Login functionality (Mobile View) -->
                 <li class="mobile-mega-menu-entry">
                    <sp-widget widget="data.escNavigation"></sp-widget>
                    <ul ng-if="::(!user.logged_in && page.id != portal.login_page_dv && !data.hasLogin)" class="nav navbar-nav">
                       <li><a href ng-click="openLogin()">${Login}</a></li>
                    </ul>
                 </li>
                 <li>
                   <ul class="main-header-items header-nav-item" ng-if="!showMobileMegaMenu" role="menu">
                     <!--<li class="main-header-item" ng-if="data.showTodos" role="menuitem">
                       <a href="?id=hrm_todos_page" id="todos_mobile" aria-label="${My Tasks}, {{data.todoCountTranslation}}">
                         <span ng-bind-html="'${My Tasks}'" aria-hidden="true"></span>
                         <span ng-show="data.todoCount" class="label label-as-badge label-primary">{{data.todoCount}}</span>
                       </a>
                     </li>-->
                     <!--<li class="main-header-item" ng-if="data.showRequests" role="menuitem">
                       <a href="?id=my_requests" id="requests_mobile" aria-label="${My Requests}">
                        <span ng-bind-html="'${My Requests}'" aria-hidden="true"></span>
                        <span ng-show="data.requestCount" class="label label-as-badge label-primary">{{data.requestCount}}</span>
                       </a>
                     </li>-->   
                     <li class="main-header-item" ng-if="data.isFavoritesEnabled" role="menuitem">
                       <a href="?id=favorites_list" id="favorites_mobile" aria-label="${My Favorites}">
                         <span class="m-r-xs nr-my-items-icon fa icon" ng-class="data.favoriteIcon"></span>
                         <span ng-bind-html="'${My Favorites}'" aria-hidden="true"></span>
                       </a>
                     </li>
                     <li class="main-header-item" role="menuitem">
                       <a href="?id=my_items" id="tickets_mobile">
                         <span class="m-r-xs nr-my-items-icon fa fa-paper-plane"></span>
                         <span class="m-r-xs nr-my-items-text">${My Tickets}</span>
                         <span class="badge">{{counts.tickets}}</span>
                       </a>
                     </li>
                     <li class="main-header-item" role="menuitem">
                       <a href="?id=nr_my_approvals" id="approvals_mobile">
                         <span class="m-r-xs nr-my-items-icon fa fa-thumbs-up "></span>
                         <span class="m-r-xs nr-my-items-text">${My Approvals}</span>
                         <span class="badge">{{counts.approvals}}</span>
                       </a>
                     </li>
                     <li class="main-header-item" role="menuitem">
                       <a href="?id=nr_sc_cart" id="cart_mobile" aria-label="${My Shopping Cart}">
                         <span class="fa fa-shopping-cart m-r-xs"></span>
                         <span class="badge">{{cartItemCount}}</span>
                       </a>
                     </li>
                     <li class="main-header-item" ng-if="data.showMoreItems" ng-repeat="item in data.moreItems" role="menuitem" tabindex="0">
                       <a ng-if="item.label !== item.shortLabel"
                          href="{{item.href}}"
                          data-toggle="tooltip"
                          data-placement="bottom"
                          data-original-title="${{{item.label}}}"
                          aria-label="${{{item.label}}}"
                          tabindex="-1">
                          <span ng-bind-html="'${' + item.shortLabel + '}'" aria-hidden="true"></span>
                       </a>
                       <a ng-if="item.label === item.shortLabel"
                          href="{{item.href}}"
                          aria-label="${{{item.label}}}">
                          <span ng-bind-html="'${' + item.shortLabel + '}'" aria-hidden="true"></span>
                       </a>
                     </li>
                     <!-- Cart, tours, and Wishlist (Mobile View) -->
                     <li role="menuitem">
                        <sp-widget widget="data.top.menu" id="menu_item"></sp-widget>
                     </li>
                   </ul>
                 </li>
                 <li class="separator" ng-if="!showMobileMegaMenu"></li>
                 <li class="m-l-sm main-header-item" role="menuitem"  ng-if="c.data.voluntarySurveyIsActive">
                   <widget id="listening_posts_give_feedback_mega_menu"></widget>
                 </li>
                 <li class="separator" ng-if="!showMobileMegaMenu && c.data.voluntarySurveyIsActive"></li>
                 <!-- User Profile -->
                 <li class="m-t-sm m-b-sm header-nav-item user-name" ng-if="!showMobileMegaMenu" tabindex="0">
                    <a href="{{data.link}}" ng-class="getClass(data.link)" aria-label="{{user.name}} ${profile}" tabindex="-1">
                      <span class="navbar-avatar"><sn-avatar class="avatar-small-medium" show-presence="false" primary="user.sys_id" /></span>
                      <span>{{user.name}}</span>
                    </a>
                 </li>
               </ul>
               <!-- Avatar (User profile Dropdown) with only Impersonate & Logout options -->
               <div class="impersonate-and-logout header-nav-item" ng-if="!showMobileMegaMenu">
                 <sp-widget widget="data.avatarDropDown"></sp-widget>
               </div>
          </div>
        </div>
      </div>

      <div ng-class="mobileDevice ? 'header-search-mobile' : 'header-search'" ng-if="showSearchBar && mobileDevice">
        <sp-widget widget="data.typeahead"></sp-widget>
      </div>
      
      <!-- Header Navbar -->
      <div ng-if="!(showMobileMenuOnDesktop || mobileDevice)" class="navbar-right">
        <div class="height-adjust">
          <ul class="nav navbar-nav" role="menubar" aria-orientation="horizontal">
            <li class="hidden-xs sp-loading-indicator la-sm" ng-class="{'invisible': !loadingIndicator}">
              <div></div>
              <div></div>
              <div></div>
            </li>
            <li class="gt-menu-item" role="presentation" ng-if="data.isFavoritesEnabled">
              <a href="?id=favorites_list" id="favorites" aria-label="${My favorites}" role="menuitem" 
                 data-toggle="tooltip" title="${My favorites}" data-placement="bottom">
                <!--<i class="fa icon" ng-class="data.favoriteIcon"></i>-->
                <span class="m-r-xs nr-my-items-icon fa icon" ng-class="data.favoriteIcon"></span>
                <span ng-bind-html="'${My Favorites}'"></span>         
              </a>         
            </li>
            <!--<li class="gt-menu-item" role="presentation" ng-if="data.showTodos">
							<a href="?id=hrm_todos_page" ng-class="getClass('?id=hrm_todos_page')" id="todos_link"  aria-label="${My Tasks}, {{c.todoCountTranslation}}" role="menuitem">
								<span ng-bind-html="'${My Tasks}'"></span>
								<span ng-show="data.todoCount" class="label label-as-badge label-primary">{{data.todoCount}}</span>
							</a>
						</li>-->
            <li class="gt-menu-item" role="presentation">
              <a href ng-click="c.toggleDrawer('nrToggleTickets')">
                <span class="m-r-xs nr-my-items-icon fa fa-paper-plane"></span>
                <span class="m-r-xs nr-my-items-text">${My Tickets}</span>
                <span class="badge">{{counts.tickets}}</span>
              </a>
            </li>
            <!--<li class="gt-menu-item" role="presentation" ng-if="data.showRequests">
							<a href="?id=my_requests" id="cases_popup" aria-label="${My Requests}" role="menuitem">
								<span ng-bind-html="'${My Requests}'" aria-hidden="true"></span>
								<span ng-show="data.requestCount" class="label label-as-badge label-primary">{{data.requestCount}}</span>
							</a>
						</li>-->
            <li class="gt-menu-item">
              <a href ng-click="c.toggleDrawer('nrToggleApprovals')">
                <span class="m-r-xs nr-my-items-icon fa fa-thumbs-up "></span>
                <span class="m-r-xs nr-my-items-text">${My Approvals}</span>
                <span class="badge">{{counts.approvals}}</span>
              </a>
            </li>
            <li class="gt-menu-item dropdown header-menu-item">
              <a href data-toggle="dropdown" id="cart-dropdown" uib-tooltip-template="'item-added-tooltip.html'"
                 tooltip-placement="bottom" tooltip-trigger="'none'" tooltip-is-open="$parent.itemAddedTooltipOpen"
                 title="${Your shopping cart currently has} {{cartItemCount}} ${items}" aria-label="${Shopping cart}">
                <span class="fa fa-shopping-cart m-r-xs"></span>
                <span class="badge">{{cartItemCount}}</span>
              </a>
              <div class="dropdown-menu cart-dropdown">
                <sp-widget widget="data.cartWidget"></sp-widget>
              </div>
            </li>
            <li class="gt-menu-item" id="more-items" role="presentation" ng-if="data.showMoreItems">
              <a ng-if="(data.moreItems.length === 1) && (data.moreItems[0].label !== data.moreItems[0].shortLabel)"
                 href="{{data.moreItems[0].href}}"
                 target="{{data.moreItems[0].url_target}}"
                 data-toggle="tooltip"
                 data-placement="bottom"
                 data-original-title="${{{data.moreItems[0].label}}}"
                 aria-label="${{{data.moreItems[0].label}}}"
                 role="menuitem">
                <span ng-bind-html="'${' + data.moreItemsTitle + '}'" aria-hidden="true"></span>
              </a>
              <a ng-if="(data.moreItems.length === 1) && (data.moreItems[0].label === data.moreItems[0].shortLabel)"
                 href="{{data.moreItems[0].href}}"
                 target="{{data.moreItems[0].url_target}}"
                 aria-label="${{{data.moreItems[0].label}}}"
                 role="menuitem">
                <span ng-bind-html="'${' + data.moreItemsTitle + '}'" aria-hidden="true"></span>
              </a>
              <a href
                 ng-if="data.moreItems.length > 1"
                 id="more-items-button"
                 data-toggle="dropdown"
                 data-target="more-items-dropdown"
                 data-placement="bottom"
                 aria-label="${{{data.moreItemsTitle}}}"
                 role="menuitem">
                <span ng-bind-html="'${' + data.moreItemsTitle + '}'" aria-hidden="true"></span>
                <i class="fa collapse-margin m-l-xs fa-caret-down"></i>
              </a>
              <ul id="more-items-dropdown" ng-if="data.moreItems.length > 1" class="dropdown-menu"
                  role="menu" aria-label="${{{data.moreItemsTitle}}}">
                <li role="presentation"
                    ng-repeat="item in data.moreItems"
                    class="ng-scope dropdown-menu-line header-menu-item">
                  <a ng-if="item.label !== item.shortLabel"
                     href="{{item.href}}"
                     target="{{item.url_target}}"
                     data-toggle="tooltip"
                     data-placement="bottom"
                     data-original-title="${ {{item.label}} }"
                     aria-label="{{item.label}}"
                     role="menuitem">
                    <span ng-bind-html="'${' + item.shortLabel + '}'" aria-hidden="true"></span>
                  </a>
                  <a ng-if="item.label === item.shortLabel"
                     href="{{item.href}}"
                     target="{{item.url_target}}"
                     aria-label="{{item.label}}"
                     role="menuitem">
                    <span ng-bind-html="'${' + item.shortLabel + '}'" aria-hidden="true"></span>
                  </a>
                </li>
              </ul>
            </li>
            <!-- Avatar and its drop down (Desktop) -->
            <li class="avatar-drop-down gt-menu-item" role="menuitem">
              <sp-widget widget="data.avatarDropDown" id="avatar_drop_down" ></sp-widget>
            </li>
            <!-- Cart, tours, and Wishlist -->
            <li class="gt-menu-item">
              <sp-widget widget="data.top.menu" id="menu_item"></sp-widget>
            </li>
          </ul>
          
        </div>
      </div>
    </div>
    
    <!-- LP Voluntary Feedback Widget-->
    <div ng-if="!(showMobileMenuOnDesktop || mobileDevice) && c.data.voluntarySurveyIsActive">
      <widget id="listening_posts_voluntary_feedback"></widget>
    </div>
    
  </div>
  
  <!-- Sub Navbar on Desktop -->
  <div class="navbar-collapse sub-navbar clearfix collapse collapsed hidden-xs"
       ng-class="{ 'in': expanded, 'collapsed': !expanded, 'sub-navbar--mobile-view': showMobileMenuOnDesktop }">
    <div>
      <sp-widget widget="data.escNavigation"></sp-widget>
      <ul ng-if="::(!user.logged_in && page.id != portal.login_page_dv && !data.hasLogin)" class="nav navbar-nav">
        <li><a href ng-click="openLogin()">${Login}</a>
        </li>
      </ul>

    </div>
  </div>

  <!-- Analytics -->
  <div ng-if="data.analyticsSupportEnabled">
    <widget id="cda-site-analytics" options="{'enable_logging': false}"></widget>
  </div>
</nav>


<nav class="navbar-inverse" aria-label="Primary" role="navigation" ng-if="showViewAsHeader">
    <div class="clearfix">
      <div class="navbar-header nav-container">

      <!-- Logo -->
        <a class="navbar-brand" ng-if="::!portal.logo" href="?id=ec_view_as_search&viewAs=true" aria-label="${Employee Center View As Home}"><span>${Employee Center View As Home}</span></a>
        <a class="navbar-brand navbar-brand-logo "
           ng-if="::portal.logo" href="?id=ec_view_as_search&viewAs=true"
           aria-label="{{::portal.title}}${ - View As Home Page}"
           data-toggle="tooltip"
           data-placement="bottom"
           data-title="{{::portal.title}}${ - View As Home}">
        <img ng-src="{{::portal.logo}}" alt="{{::portal.title}}${ - View As Home Page}"/>
      </a>
      </div>
  </div>
</nav>


<!--<sp-widget widget="c.data.perfWidget"></sp-widget>-->

<!-- Drawer Widget Embeds -->
<div ng-if="c.myBookmarksWidget">
  <sp-widget widget="c.myBookmarksWidget"></sp-widget>
</div>
<div ng-if="c.myTicketsWidget">
  <sp-widget widget="c.myTicketsWidget"></sp-widget>
</div>
<div ng-if="c.myApprovalsWidget">
  <sp-widget widget="c.myApprovalsWidget"></sp-widget>
</div>]]></template>
    </sp_header_footer>
</record_update>
